Page MenuHomePhabricator

Create numerous projects for Wikimedia Ukraine with WMUA- prefix
Closed, ResolvedPublic

Description

I'm a Board Secretary of Wikimedia Ukraine chapter, we've been using Redmine for a year, and while we have about 330 tasks and 18 users in it, it was not quite successful
as people need to register separately, it's not very popular and open, and some people do not want to register, remember passwords.
Also we don't have resources to configure redmine plugins, UI does not seem very good.

I want to join Project-Creators to be able to setup projects for Wikimedia Ukraine with WMUA- prefix, as waiting for hierarchical projects takes too long.

<s>I need to create Wikimedia-Ukraine project with our related subprojects.

This project will be umbrella project for Wikimedia-Ukraine activities. </s>

Examples of current projects in Wikimedia Ukraine's redmine are

  • IT (Jury tool, bots, technical support)
  • Photo contests (Wiki Loves Earth Ukraine and international, Wiki Loves Monuments Ukraine)

and so on

Event Timeline

intracer raised the priority of this task from to Needs Triage.
intracer updated the task description. (Show Details)
intracer added a project: Project-Admins.
intracer added a subscriber: intracer.
intracer set Security to None.
intracer removed a subscriber: Qgil.

What is the list of subprojects? Asking as technically speaking, there are no subprojects in Phabricator.

https://secure.phabricator.com/T3670#106450 Add subprojects:
Apr 11 2015, 7:39 PM I think this is roughly in the 30-60 hour range, but it's blocked by https://secure.phabricator.com/T4100
Apr 23 2015: https://secure.phabricator.com/T4100: epriestley closed this task as "Resolved".

Looks like subprojects can be implemented soon?
I think we can wait then.
We have 15 top level projects and about 50 subprojects now

Aklapper triaged this task as Lowest priority.Jun 7 2015, 11:51 AM
Aklapper changed the task status from Open to Stalled.Jun 22 2015, 10:06 PM

I think we can wait then.

Alright, setting status to Stalled

Aklapper added a comment.

In https://phabricator.wikimedia.org/T706#1722555, @intracer wrote:

I'd want the same for Wikimedia Ukraine. I asked before for a project with subrojects, but it was not supported and promised too be soon, still not yet.

That sounds like it is handled in https://phabricator.wikimedia.org/T101485 and that's the task to discuss it, I'd say.

Copying the message per Aklapper.

I want to join Project-Creators to be able to setup projects for Wikimedia Ukraine with WMUA- prefix, as waiting for hierarchical projects takes too long

intracer renamed this task from Create Wikimedia-Ukraine project to Jjoin Project-Creators to be able to setup projects for Wikimedia Ukraine with WMUA- prefix.Oct 13 2015, 6:26 PM
intracer renamed this task from Jjoin Project-Creators to be able to setup projects for Wikimedia Ukraine with WMUA- prefix to join Project-Creators to be able to setup projects for Wikimedia Ukraine with WMUA- prefix.
intracer changed the task status from Stalled to Open.
intracer raised the priority of this task from Lowest to Medium.
intracer updated the task description. (Show Details)

Is there a list of initial projects that you would wish to create / see created?

I'm happy to create some initial projects for you if some information is provided.

Also, can all tasks and all projects be entirely public? Just trying to make sure...

Aklapper renamed this task from join Project-Creators to be able to setup projects for Wikimedia Ukraine with WMUA- prefix to Create numerous projects for Wikimedia Ukraine with WMUA- prefix.Oct 13 2015, 6:31 PM

Yes, I know that until Spaces are deployed everything is public, we will have private information stored separetely.

As it was mentioned before we have "We have 15 top level projects and about 50 subprojects now".

Do I need to provide information on each project?
It seems quite bureaucratic and unproductive.

We will not create that much number of projects at once, but I would not like to have such discussions for every project we want to create.

We have asked to join Phabricator on June and so already waited for some time, while I see on the https://phabricator.wikimedia.org/T706 people are granted project creation rights within a day.
And previous request from Wikimedia Sverige was very similiar to what we ask.
Is there some significant difference between Wikimedia Sverige and Wikimedia Ukraine?

We will not create that much number of projects at once, but I would not like to have such discussions for every project we want to create.

Totally understandable and nobody wants that. Again, sorry if I expressed badly.

We have asked to join Phabricator on June and so already waited for some time

Your statement in T101485#1340647 was that you'd wait - and that was the last thing I was aware of...

I have now made you a member of Project-Admins.

With such a complexity (the number of projects, plus also having subprojects which isn't the case for WMSE) and only having a flat namespace for projects in Phabricator, could you please create one or two projects, list the project names here, and then let me take a quick look (and potentially give some feedback) at them before you continue to create more? That would be great!

Again, thanks for your patience. Let's make WMUA happy Phabricator users. :)

Yes, I know that until Spaces are deployed everything is public,

Actually Spaces are available now.

Your statement in T101485#1340647 was that you'd wait - and that was the last thing I was aware of...

You are right.

I have now made you a member of Project-Admins.

Thank you!

With such a complexity (the number of projects, plus also having subprojects which isn't the case for WMSE) and only having a flat namespace for projects in Phabricator, could you please create one or two projects, list the project names here, and then let me take a quick look (and potentially give some feedback) at them before you continue to create more? That would be great!

OK. We will not create so many projects, with redmine it was a first experience and many projects/subprojects were (mostly) empty.
We created the first project WMUA-WLM-2015. When @Antanana is ready we will come up with a list of projects we want to create.

When @Antanana is ready we will come up with a list of projects we want to create.

Any news? :)

Hi, we created WMUA-Partnerships WMUA-Community-Support WMUA-Contests projects wich correspond to 3 our secrtion in annual grant
We also have WMUA-Tech for technical tasks and may create some projects for tasks that do not fit anywhere
Now that Phabricator has subprojects and milestones we will use them.
We are going to open page on WMUA wiki to decide the structure.

Thanks for documenting and communicating this! Looks all good to me. :)

@intracer What is the current status of this task?

Aklapper lowered the priority of this task from Medium to Low.Jul 12 2016, 8:21 AM
intracer closed this task as Resolved.EditedJul 12 2016, 8:43 AM

Hi @Danny_B I was given project creator rights, created the projects we needed and commented on them. So I will resolve the issue